Bug 177461 - Do not open [Zip|Jar] files when the root FileObject is needed
Do not open [Zip|Jar] files when the root FileObject is needed
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: PERFORMANCE
Depends on:
Blocks: 177274
  Show dependency treegraph
 
Reported: 2009-11-23 10:45 UTC by Tomas Zezula
Modified: 2010-05-04 04:32 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
New constructor for JarFileSystem (14.66 KB, patch)
2010-01-19 12:15 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2009-11-23 10:45:04 UTC
Comes as a part of the umbrella issue #177274 (the slowness in GoTo type) where 1.5s from 4.7s is spent in ArchiveURLMapper.
Jarda had an idea of creating the root FileObject without need to mount the JarFS when the list on it is done the JarFS will be mounted.
Comment 1 Jaroslav Tulach 2009-11-24 05:20:58 UTC
The ArchiveURLMapper shall return the FileObject without opening the JAR. This can be done by improvements in JarFileSystem, possibly with some new API, or by creating a virtual FileObject that will later create and delegate to JarFileSystem.getRoot().
Comment 2 Jaroslav Tulach 2010-01-19 08:52:03 UTC
Let's do this.
Comment 3 Jaroslav Tulach 2010-01-19 12:15:45 UTC
Created attachment 93416 [details]
New constructor for JarFileSystem
Comment 4 Jaroslav Tulach 2010-01-19 12:16:50 UTC
Review this addition of new JarFileSystem constructor and its use in ArchiveURLMapper.
Comment 5 Jesse Glick 2010-01-20 18:15:33 UTC
Good idea.
Comment 6 Jaroslav Tulach 2010-01-25 05:21:41 UTC
Let's do it tomorrow.
Comment 7 Jaroslav Tulach 2010-01-26 13:15:44 UTC
core-main#efc25ad43ed5
Comment 8 Quality Engineering 2010-01-27 13:05:26 UTC
Integrated into 'main-golden', will be available in build *201001271614* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/efc25ad43ed5
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #177461: Now it is possible to create a JAR file and get its root URL without opening it. Shall speed up go to type dialog responses.
Comment 9 Jaroslav Tulach 2010-05-03 16:43:04 UTC
New fix in core-main#5695b06e572c
Comment 10 Quality Engineering 2010-05-04 04:32:35 UTC
Integrated into 'main-golden', will be available in build *201005040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo